GridParams

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.message.send.java
Class GridParams

    java.lang.Object
      org.openswing.swing.message.send.java.GridParams

All Implemented Interfaces:
  java.io.Serializable

public class GridParams
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Parameters generated by the grid when fetching data.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Field Summary
`static int` | `LAST_BLOCK_ACTION` fetch last block of rows
`static int` | `NEXT_BLOCK_ACTION` fetch next block of rows
`static int` | `PREVIOUS_BLOCK_ACTION` fetch previous block of rows

Constructor Summary
`GridParams()` Void constructor.
`GridParams(int action, int startPos, java.util.Map filteredColumns, java.util.ArrayList currentSortedColumns, java.util.ArrayList currentSortedVersusColumns, java.util.Map otherGridParams)`

Method Summary
`int` | `getAction()`
`java.util.ArrayList` | `getCurrentSortedColumns()`
`java.util.ArrayList` | `getCurrentSortedVersusColumns()`
`java.util.Map` | `getFilteredColumns()`
`java.util.Map` | `getOtherGridParams()`
`int` | `getStartPos()`
`void` | `setCurrentSortedColumns(java.util.ArrayList currentSortedColumns)` Set sorted columns.
`void` | `setCurrentSortedVersusColumns(java.util.ArrayList currentSortedVersusColumns)` Set ordering versus of sorted columns.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREVIOUS_BLOCK_ACTION

    public static final int PREVIOUS_BLOCK_ACTION

  fetch previous block of rows

  See Also:
    Constant Field Values

### NEXT_BLOCK_ACTION

    public static final int NEXT_BLOCK_ACTION

  fetch next block of rows

  See Also:
    Constant Field Values

### LAST_BLOCK_ACTION

    public static final int LAST_BLOCK_ACTION

  fetch last block of rows

  See Also:
    Constant Field Values

Constructor Detail

### GridParams

    public GridParams()

  Void constructor.

### GridParams

    public GridParams(int action,
                      int startPos,
                      java.util.Map filteredColumns,
                      java.util.ArrayList currentSortedColumns,
                      java.util.ArrayList currentSortedVersusColumns,
                      java.util.Map otherGridParams)

Parameters:
  `action` - fetching versus: PREVIOUS_BLOCK_ACTION, NEXT_BLOCK_ACTION or LAST_BLOCK_ACTION
  `startPos` - start position of data fetching in result set
  `filteredColumns` - filtered columns; collection of pairs: attributeName, FilterWhereClause[2]
  `currentSortedColumns` - sorted columns
  `currentSortedVersusColumns` - ordering versus of sorted columns
  `otherGridParams` - other grid parameters

Method Detail

### getCurrentSortedColumns

    public final java.util.ArrayList getCurrentSortedColumns()

  Returns:
    sorted columns

### getCurrentSortedVersusColumns

    public final java.util.ArrayList getCurrentSortedVersusColumns()

  Returns:
    ordering versus of sorted columns

### setCurrentSortedColumns

    public final void setCurrentSortedColumns(java.util.ArrayList currentSortedColumns)

  Set sorted columns.

  Parameters:
    `currentSortedColumns` - sorted columns

### setCurrentSortedVersusColumns

    public final void setCurrentSortedVersusColumns(java.util.ArrayList currentSortedVersusColumns)

  Set ordering versus of sorted columns.

  Parameters:
    `currentSortedVersusColumns` - ordering versus of sorted columns

### getOtherGridParams

    public final java.util.Map getOtherGridParams()

  Returns:
    other grid parameters

### getStartPos

    public final int getStartPos()

  Returns:
    start position of data fetching in result set

### getAction

    public final int getAction()

  Returns:
    fetching versus: PREVIOUS_BLOCK_ACTION, NEXT_BLOCK_ACTION or LAST_BLOCK_ACTION

### getFilteredColumns

    public final java.util.Map getFilteredColumns()

  Returns:
    filteredColumns; collection of pairs: attributeName, FilterWhereClause[2]

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD